---
name: Cal Baker
start_date: 2019-07-29
placeholder: 
locality: Seattle, WA
country: USA
role: <a href="/job-families/sales/deal-desk/">Manager, Deal Desk</a>
reports_to: jrabbits
picture: cal.baker.png
twitter: 
gitlab: calbaker
departments:
- Sales
- Field Operations
story: ''
